Module javafx.base
Package javafx.beans.property

# Class ObjectPropertyBase<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>

Type Parameters:
  `T` - the type of the wrapped value

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`

Direct Known Subclasses:
  `SimpleObjectProperty`, `StyleableObjectProperty`

    public abstract class ObjectPropertyBase<T>
    extends ObjectProperty<T>

The class `ObjectPropertyBase` is the base class for a property wrapping an arbitrary `Object`. It provides all the functionality required for a property except for the `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()` methods, which must be implemented by extending classes.

Since:
  JavaFX 2.0
See Also:
  `ObjectProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObjectPropertyBase()` | The constructor of the `ObjectPropertyBase`.
  `ObjectPropertyBase​(T initialValue)` | The constructor of the `ObjectPropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
  `protected void` | `invalidated()` | The method `invalidated()` can be overridden to receive invalidation notifications.
  `String` | `toString()` | Returns a string representation of this `ObjectPropertyBase` object.

  ### Methods declared in class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### ObjectPropertyBase

    public ObjectPropertyBase()
    The constructor of the `ObjectPropertyBase`.

  - ### ObjectPropertyBase

    public ObjectPropertyBase​(T initialValue)
    The constructor of the `ObjectPropertyBase`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `WritableObjectValue.set(T)` or in case of a bound property, if the binding becomes invalid.

  - ### invalidated

    protected void invalidated()
    The method `invalidated()` can be overridden to receive invalidation notifications. This is the preferred option in `Objects` defining the property, because it requires less memory. The default implementation is empty.

  - ### toString

    public String toString()
    Returns a string representation of this `ObjectPropertyBase` object.
    Overrides:
      `toString` in class `ObjectProperty<T>`
    Returns:
      a string representation of this `ObjectPropertyBase` object.